<?php
defined('_JEXEC') or die();

class plgjshoppingadminnumber_rank_price extends JPlugin{
    
    function __construct(&$subject, $config){
        parent::__construct($subject, $config);
        
    }

    function onBeforeDisplayEditProductView($view) {
       $doc = JFactory::getDocument();
       $doc->addScriptDeclaration("
       jQuery(function(){

        function addNumberRank(inp) {
            
            inp.on('input', function(){
                inp.val(String(inp.val().replace(/[^0-9.]/g,'')).replace(/\B(?=(\d{3})+(?!\d))/g, '/'));
            });
    
            inp.on('focus', function(){
                inp.val(String(inp.val().replace(/[^0-9.]/g,'')).replace(/\B(?=(\d{3})+(?!\d))/g, '/'));
            });
    
            inp.on('blur', function(e){    
                inp.val(inp.val().replace(/\//g, ''));
               
                inp.trigger('keyup');
            });
                
        }
        
        addNumberRank(jQuery('input#product_price'));
        addNumberRank(jQuery('input#product_price2'));
        addNumberRank(jQuery('input#product_old_price'));
        addNumberRank(jQuery('input#attr_price'));
    });", $type= 'text/javascript');
    }
    
}